|
Lines 1-5
Link Here
|
| 1 |
--- sbin/pkg_replace/pkg_replace.sh.orig 2007-01-25 21:55:46.000000000 +0900 |
1 |
--- sbin/pkg_replace/pkg_replace.sh.orig 2007-01-25 21:55:46.000000000 +0900 |
| 2 |
+++ sbin/pkg_replace/pkg_replace.sh 2013-05-31 04:13:29.000000000 +0900 |
2 |
+++ sbin/pkg_replace/pkg_replace.sh 2013-09-03 06:58:43.000000000 +0900 |
| 3 |
@@ -125,14 +125,27 @@ |
3 |
@@ -125,14 +125,27 @@ |
| 4 |
: ${PACKAGEROOT="ftp://ftp.NetBSD.org"} |
4 |
: ${PACKAGEROOT="ftp://ftp.NetBSD.org"} |
| 5 |
: ${PKG_SUFX=".tgz"} |
5 |
: ${PKG_SUFX=".tgz"} |
|
Lines 184-189
Link Here
|
| 184 |
pkg_depends '_deps' "${_arg}" |
184 |
pkg_depends '_deps' "${_arg}" |
| 185 |
|
185 |
|
| 186 |
for p in ${_deps}; do |
186 |
for p in ${_deps}; do |
|
|
187 |
@@ -715,7 +783,7 @@ |
| 188 |
if empty ${_log}; then |
| 189 |
try "$@" || return $? |
| 190 |
else |
| 191 |
- _cookie="${tmpdir}/.$1_failed" |
| 192 |
+ _cookie="${tmpdir}/.${1##*/}_failed" |
| 193 |
|
| 194 |
{ try "$@" || echo $? > "${_cookie}"; } | tee -a "${_log}" || |
| 195 |
warn "tee(1) failed." |
| 187 |
@@ -757,9 +825,11 @@ |
196 |
@@ -757,9 +825,11 @@ |
| 188 |
info "Installing '$1'" |
197 |
info "Installing '$1'" |
| 189 |
|
198 |
|
|
Lines 292-298
Link Here
|
| 292 |
update_dependencies() { |
301 |
update_dependencies() { |
| 293 |
+ if is_yes ${use_pkgng}; then |
302 |
+ if is_yes ${use_pkgng}; then |
| 294 |
+ info "Updating the dependencies" |
303 |
+ info "Updating the dependencies" |
| 295 |
+ ${PKG_SET} -y -o $1:$2 || return 1 |
304 |
+ [ "x$1" = "x$2" ] && return 0 || ${PKG_SET} -y -o $1:$2 |
| 296 |
+ info " $1 -> $2" |
305 |
+ info " $1 -> $2" |
| 297 |
+ else |
306 |
+ else |
| 298 |
local p req_by |
307 |
local p req_by |